Index: class.support.php
===================================================================
--- ./include/class.support.php	(revision 3386)
+++ ./include/class.support.php	(working copy)
@@ -664,6 +664,10 @@
                 if (!empty($t['issue_id'])) {
                     list($t['full_email'], $t['headers']) = Mail_API::rewriteThreadingHeaders($t['issue_id'], $t['full_email'], $t['headers'], 'email');
                 }
+
+                // make variable available for workflow to be able to detect whether this email created new issue
+                $t['should_create_issue'] = $should_create_array['should_create_issue'];
+
                 $res = Support::insertEmail($t, $structure, $sup_id);
                 if ($res != -1) {
                     // only extract the attachments from the email if we are associating the email to an issue
--- ./include/class.priority.php	2007-03-08 19:45:47.332349634 +0200
+++ ./include/class.priority.php	2007-10-12 23:07:52.082056893 +0300
@@ -349,6 +349,34 @@
             return $res;
         }
     }
+
+    /**
+     * Method used to get the pri_id of a project by priority title.
+     *
+     * @access  public
+     * @param   integer $prj_id The project ID
+     * @param   integer $pri_id The priority ID
+     * @param   string $pri_title The priority title
+     * @return  integer $pri_id The priority ID
+     */
+    function getPriorityID($prj_id, $pri_title)
+    {
+        $stmt = "SELECT
+                    pri_id
+                 FROM
+                    " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_priority
+                 WHERE
+                    pri_prj_id=" . Misc::escapeInteger($prj_id) . "
+					AND pri_title = '" . Misc::escapeString($pri_title) . "'";
+				
+        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        if (PEAR::isError($res)) {
+            Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
+            return null;
+        } else {
+            return $res;
+        }
+    }
 }
 
 // benchmarking the included file (aka setup time)
